apiVersion: template.openshift.io/v1
kind: Template
metadata:
  name: antennas-incident
  annotations:
    description: "A template to deploy the Antennas Incident Service"
    tags: "quarkus,service"
    iconClass: icon-quarkus
labels:
  template: antennas-incident
  app: ${APP}
objects:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      app.quarkus.io/build-timestamp: 2022-05-15 - 08:38:34 +0000
    labels:
      app.kubernetes.io/name: ${APP}
      app.kubernetes.io/version: 1.0.0-SNAPSHOT
    name: ${APP}
  spec:
    ports:
      - name: http
        port: 80
        targetPort: 8080
    selector:
      app.kubernetes.io/name: ${APP}
      app.kubernetes.io/version: 1.0.0-SNAPSHOT
    type: ClusterIP
- apiVersion: apps/v1
  kind: Deployment
  metadata:
    annotations:
      app.quarkus.io/build-timestamp: 2022-05-15 - 08:38:34 +0000
    labels:
      app.kubernetes.io/name: ${APP}
      app.kubernetes.io/version: 1.0.0-SNAPSHOT
      app.openshift.io/runtime: quarkus
    name: ${APP}
  spec:
    replicas: 1
    selector:
      matchLabels:
        app.kubernetes.io/name: ${APP}
        app.kubernetes.io/version: 1.0.0-SNAPSHOT
    template:
      metadata:
        annotations:
          app.quarkus.io/build-timestamp: 2022-05-15 - 08:38:34 +0000
        labels:
          app.kubernetes.io/name: ${APP}
          app.kubernetes.io/version: 1.0.0-SNAPSHOT
      spec:
        containers:
          - env:
              - name: KUBERNETES_NAMESPACE
                valueFrom:
                  fieldRef:
                    fieldPath: metadata.namespace
              - name: APIKEY
                valueFrom:
                  secretKeyRef:
                    name: ${APP}
                    key: apikey
            image: quay.io/sebastienblanc0/antennas-incident:1.0.0-SNAPSHOT
            imagePullPolicy: Always
            name: antennas-incident
            ports:
              - containerPort: 8080
                name: http
                protocol: TCP
- kind: Secret
  apiVersion: v1
  metadata:
    name: ${APP}
  stringData:
    apikey: ${API_KEY}
  type: Opaque
- kind: Route
  apiVersion: route.openshift.io/v1
  metadata:
    name: ${APP}
  spec:
    to:
      kind: Service
      name: ${APP}
      weight: 100
    port:
      targetPort: http
    tls:
      insecureEdgeTerminationPolicy: Redirect
      termination: edge
    wildcardPolicy: None
parameters:
- description: API_KEY secret
  from: '[A-Z0-9]{12}'
  generate: expression
  name: API_KEY
- description: Application name
  name: APP
  value: antennas-incident